Package com.xebialabs.xlrelease.utils

# Class CiHelper

java.lang.Object
com.xebialabs.xlrelease.utils.CiHelper

public class CiHelper extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `CiHelper.PropertyAction`
  `static interface`
  `CiHelper.PropertyFilter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Function<ConfigurationItem,String>`
  `TO_ID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CiHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `eraseTokens(ConfigurationItem ci)`
  `static void`
  `fixUpInternalReferences(ConfigurationItem parent)`
  `static ConfigurationItem`
  `forFields(ConfigurationItem ci, CiHelper.PropertyFilter filter, CiHelper.PropertyAction action)`
  `static Set<ConfigurationItem>`
  `getExternalReferences(ConfigurationItem parentCi)`
  `static List<ConfigurationItem>`
  `getNestedCis(ConfigurationItem ci)`
  `static List<ConfigurationItem>`
  `getNestedCis(Collection<? extends ConfigurationItem> cis)`
  `static boolean`
  `isChildViaOneOfChildProperties(ConfigurationItem possibleChild, ConfigurationItem parent)`
  `static boolean`
  `isLazyConfigurationItem(ConfigurationItem possibleChild)`
  `static void`
  `removeCisWithId(Collection<? extends ConfigurationItem> fromCis, String idToRemove)`
  `static void`
  `rewriteWithNewId(ConfigurationItem ci, String newId)`
  `static void`
  `stripChildrenCis(ConfigurationItem ci)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TO_ID

    public static final Function<ConfigurationItem,String> TO_ID

- ## Constructor Details

  - ### CiHelper

    public CiHelper()

- ## Method Details

  - ### getNestedCis

    public static List<ConfigurationItem> getNestedCis(Collection<? extends ConfigurationItem> cis)

  - ### getNestedCis

    public static List<ConfigurationItem> getNestedCis(ConfigurationItem ci)

  - ### eraseTokens

    public static void eraseTokens(ConfigurationItem ci)

  - ### rewriteWithNewId

    public static void rewriteWithNewId(ConfigurationItem ci, String newId)

  - ### getExternalReferences

    public static Set<ConfigurationItem> getExternalReferences(ConfigurationItem parentCi)

  - ### isLazyConfigurationItem

    public static boolean isLazyConfigurationItem(ConfigurationItem possibleChild)

  - ### stripChildrenCis

    public static void stripChildrenCis(ConfigurationItem ci)

  - ### removeCisWithId

    public static void removeCisWithId(Collection<? extends ConfigurationItem> fromCis, String idToRemove)

  - ### fixUpInternalReferences

    public static void fixUpInternalReferences(ConfigurationItem parent)

  - ### isChildViaOneOfChildProperties

    public static boolean isChildViaOneOfChildProperties(ConfigurationItem possibleChild, ConfigurationItem parent)

  - ### forFields

    public static ConfigurationItem forFields(ConfigurationItem ci, CiHelper.PropertyFilter filter, CiHelper.PropertyAction action)